<div id="icon-options-general" class="icon32"></div>
<h2>FusionHQ API Settings</h2>

<?php
if (isset($_POST['submit-button'])) {
    $apiemail = get_option('fhq_account');
    $apikey = get_option('fhq_apikey');
	update_option('fhq_memsite_secretkey','');
	update_option('fhq_process_secretkey','');
	
	update_option('fhq_source',$_POST['fhq_source']);
	
	if(get_option('fhq_source') == 'MEMSITE' || get_option('fhq_source') == 'PROCESS,MEMSITE'){
    	$returnvar = fhq_server_request($apiemail, $apikey, "updatememsite", array("memsite" =>$_POST['selectmemsite'],"oldmemsite" =>get_option('fhq_select_memsite')));
		update_option('fhq_memsite_secretkey',$returnvar->secretkey);
		update_option('fhq_select_memsite', $_POST['selectmemsite']);
	}
	if(get_option('fhq_source') == 'PROCESS' || get_option('fhq_source') == 'PROCESS,MEMSITE'){
		$returnvar = fhq_server_request($apiemail, $apikey, "updateprocess", array("process" =>$_POST['selectprocess'],"oldprocess" =>get_option('fhq_select_process')));
		update_option('fhq_process_secretkey',$returnvar->secretkey);
		update_option('fhq_select_process', $_POST['selectprocess']);
	}

    update_option('fhq_sync_mode', 'memsite');
    echo "<div id='message' class='updated fade'><p><strong>Settings saved.</strong></p></div>";
}

if (isset($_POST['verify-button'])) {
    $fhq_account = $_POST['fhq_account'];
    $fhq_apikey = $_POST['fhq_apikey'];

    if ($fhq_account == null || $fhq_account == '') {
        echo "<div id='message' class='updated fade'><p><strong><font color='#FF0000'>Please enter your FusionHQ Account Email</font></strong></p></div>";
    } else
        if ($fhq_apikey == null || $fhq_apikey == '') {
            update_option('fhq_account', $fhq_account);
            echo "<div id='message' class='updated fade'><p><strong><font color='#FF0000'>Please enter your FusionHQ API Secret Key</font></strong></p></div>";
        } else {
			$params["source"] = $fhq_source;
            $returnvar = fhq_server_request($fhq_account, $fhq_apikey, "verifyapi", $params);

            if ($returnvar->success) {
                update_option('fhq_account', $fhq_account);
                update_option('fhq_apikey', $fhq_apikey);
                update_option('fhq_validation', '1');
                update_option('fhq_sync_mode', 'none');
				update_option('fhq_memsite', '');
				update_option('fhq_process', '');

                echo "<div id='message' class='updated fade'><p><font color='#009900'><strong>Verification Complete.</strong> If you want to use WordPress Sync module, please select your membership site to fetch content from.</font></p></div>";
				$unique_id = $_SESSION['fhq_unique_id'];
                $returnvar = fhq_server_request($fhq_account, $fhq_apikey, "memlevel_list");
                if ($returnvar->success) {
                    global $wpdb;
                    $wpdb->query("TRUNCATE TABLE {$wpdb->prefix}fhq_memlevel");
                    foreach ($returnvar->result as $val) {
                        $wpdb->insert("{$wpdb->prefix}fhq_memlevel", array('memlevel_id' => $val->id,
                            'memlevel_name' => $val->name), array('%d', '%s'));
						updateUniqueMemlevelList($unique_id,$val->id);
                    }
                } else {
                    if ($returnvar->code == 2) {
                        echo "<div id='message' class='updated fade'><p><font color='#FF0000'>There is no FusionHQ Membership Level that has been setup yet.</font></p></div>";
                    }
                }
            } else {
                update_option('fhq_account', '');
                update_option('fhq_apikey', '');
			 	update_option('fhq_source', '');
                update_option('fhq_validation', '0');
                update_option('fhq_select_memsite', '0');
				update_option('fhq_select_process', '0');
                update_option('fhq_memsite', '');
				update_option('fhq_process', '');
				update_option('fhq_memsite_secretkey','');
				update_option('fhq_process_secretkey','');
                echo "<div id='message' class='updated fade'><p><strong><font color='#FF0000'>Verification Failed. {$returnvar->message}</font></strong></p></div>";
            }
        }
}

if((get_option('fhq_validation') == 1 && isset($_POST['fhq_source']) && !isset($_POST['submit-button'])) || isset($_POST['verify-button'])){ //// remove last argument when enable process
	update_option('fhq_source', $_POST['fhq_source']);
	$fhq_account = get_option('fhq_account');
	$fhq_apikey = get_option('fhq_apikey');
	$fhq_source = get_option('fhq_source');
	update_option('fhq_select_memsite', '0');
	update_option('fhq_select_process', '0');
	update_option('fhq_memsite', '');
	update_option('fhq_process', '');
	
	/////// remove this when enable process //////////
	$fhq_source = 'MEMSITE';
	//////////////////////////////////////////////////
	
	if($fhq_source == 'MEMSITE' || $fhq_source == 'PROCESS,MEMSITE'){
		$returnvar = fhq_server_request($fhq_account, $fhq_apikey, "memsite_list", array
		('hosting' => 'WORDPRESS'));
		if ($returnvar->success) {
			$memsiteArray = array();
			foreach ($returnvar->result as $val) {
				$id = $val->id;
				$memsiteArray[$id]['name'] = $val->name;
				$memsite_http_url = parse_url($val->http_url);
				if ($_SERVER['HTTP_HOST'] == $memsite_http_url['host']) {
					update_option('fhq_select_memsite', $id);
				}
			}
			$json = json_encode($memsiteArray);
			update_option('fhq_memsite', $json);
			
		} else {
			echo "<div id='message' class='updated fade'><p><font color='#FF0000'>There is no FusionHQ Memebership Site that has been set hosting type to WordPress yet.</font></p></div>";
		}
	}
	if($fhq_source == 'PROCESS' || $fhq_source == 'PROCESS,MEMSITE'){
		$returnvar = fhq_server_request($fhq_account, $fhq_apikey, "process_list", array
		('hosting' => 'WORDPRESS'));
		if ($returnvar->success) {
			$processArray = array();
			foreach ($returnvar->result as $val) {
				$id = $val->id;
				$processArray[$id]['name'] = $val->name;
				$process_http_url = parse_url($val->http_url);
				if ($_SERVER['HTTP_HOST'] == $process_http_url['host']) {
					update_option('fhq_select_process', $id);
				}
			}
			$json = json_encode($processArray);
			update_option('fhq_process', $json);
			
		} else {
			echo "<div id='message' class='updated fade'><p><font color='#FF0000'>There is no FusionHQ Process that has been set hosting type to WordPress yet.</font></p></div>";
		}
	}
}


?>
<h3>Vertify your FusionHQ Account</h3>
<form id="apiform" action="<?php echo $_SERVER["REQUEST_URI"]; ?>" method="post">
	<table border="0" cellspacing="3" cellpadding="3">
		<tr>
			<td width="220" nowrap="nowrap">Your FusionHQ Account Email:</td>
			<td><input name="fhq_account" type="text" id="fhq_account" style="width:300px;" value="<?php echo
get_option('fhq_account'); ?>" size="50"></td>
		</tr>
		<tr>
			<td nowrap="nowrap">Your FusionHQ API Secret Key:</td>
			<td><input name="fhq_apikey" type="text" id="fhq_apikey" style="width:300px;" value="<?php echo
get_option('fhq_apikey'); ?>" size="50">&nbsp;<span class="description">You can find your API Key in the settings area of your FusionHQ account</span></td>
		</tr>
	</table>
	<p class="submit">
		<input class="button-primary" type="submit" name="verify-button" id="verify-button" value="Verify Account">
	</p>
	
	<?php //if (get_option('fhq_validation') == 1 && get_option('fhq_memsite') && get_option('fhq_memsite') != '') { ?>		
    <?php if (get_option('fhq_validation') == 1) { ?>			
	<div>
		<h3>Select FusionHQ Content Source</h3>
		<table border="0" cellspacing="3" cellpadding="3">
            <tr>
                <td nowrap="nowrap">Your FusionHQ Content Source:</td>
                <td><label>
                    <select name="fhq_source" id="fhq_source" style="width: 200px;" onchange="document.getElementById('apiform').submit();">
                    	<option value="MEMSITE" <?php if(get_option('fhq_source')=='MEMSITE'){ echo 'selected="selected"'; } ?> >Membership Site</option>
                        <? if(0){ ///////// remove this when enable process /////// ?>
                        <option value="" <?php if(get_option('fhq_source')==''){ echo 'selected="selected"'; } ?> >none</option>
                    	<option value="PROCESS" <?php if(get_option('fhq_source')=='PROCESS'){ echo 'selected="selected"'; } ?> >Process</option>
                        <option value="PROCESS,MEMSITE" <?php if(get_option('fhq_source')=='PROCESS,MEMSITE'){ echo 'selected="selected"'; } ?> >Process and Membership Site</option>
                        <? } ///////// remove this when enable process /////// ?>
                    </select>
                </label></td>
            </tr>
        	<?php if(get_option('fhq_source') == 'PROCESS' || get_option('fhq_source') == 'PROCESS,MEMSITE'){ ?>
			<tr>
            	<td>FusionHQ Process</td>
                <td><?php $returnvar = json_decode(get_option('fhq_process')); ?>
				  <select name="selectprocess" id="selectprocess" style="width: 300px;">
						<?php foreach ($returnvar as $key => $val) { ?>
							<option value="<?php echo $key ?>"
								   <?php if (get_option('fhq_select_process') == $key) {
            echo "selected='selected'";
        } ?>><?php echo $val->name ?></option>
								   <?php } ?>
					</select></td>
            </tr>
            <?php } ?>
            <?php if(get_option('fhq_source') == 'MEMSITE' || get_option('fhq_source') == 'PROCESS,MEMSITE' || isset($_POST['verify-button'])){ //// remove last argument when enable process ?>
			<tr>
				<td width="220">FusionHQ Membership Site</td>
				<td><?php $returnvar = json_decode(get_option('fhq_memsite')); ?>
				  <select name="selectmemsite" id="selectmemsite" style="width: 300px;">
						<?php foreach ($returnvar as $key => $val) { ?>
							<option value="<?php echo $key ?>"
								   <?php if (get_option('fhq_select_memsite') == $key) {
            echo "selected='selected'";
        } ?>><?php echo $val->name ?></option>
								   <?php } ?>
					</select></td>
			</tr>
            <?php } ?>
		</table>
		<p class="submit">
			<input class="button-primary" type="submit" name="submit-button" id="submit-button" value="Save Changes" />
		</p>
	</div>
	<?php } ?>
</form>